Skip to main content

User Tier

Returns the authenticated user's current tier and progress toward the next tier.

GET /points/tier
Authorization: Bearer <token>

Query Parameters

ParameterTypeRequiredDescription
epochintegerNoEpoch number; defaults to current

Response

{
"tier": "T2",
"multiplier": "1.5",
"min_volume": "5000000",
"max_volume": "99999999.99",
"current_volume": "8500000.00",
"next_tier": {
"tier": "T3",
"multiplier": "2.0",
"required_volume": "100000000",
"remaining_volume": "91500000.00"
}
}

next_tier is null when the user is already at T3 (max tier).

Response Fields

FieldTypeDescription
tierstringCurrent tier: T1 / T2 / T3
multiplierstringTrading point rate multiplier
min_volumestringMinimum volume threshold for current tier (USD)
max_volumestringMaximum volume threshold for current tier (USD)
current_volumestringUser's 14-day rolling trading volume (USD)
next_tierobject | nullNext tier info; null if at T3

next_tier

FieldTypeDescription
tierstringNext tier name
multiplierstringNext tier multiplier
required_volumestringVolume threshold required for next tier (USD)
remaining_volumestringAdditional volume still needed (USD)

Tier Thresholds

Tier14-day Rolling VolumeMaker RateTaker Rate
T1$0 – $4,999,9991.2 TP / $1,0000.8 TP / $1,000
T2$5M – $99,999,9991.5 TP / $1,0001.0 TP / $1,000
T3≥ $100M2.0 TP / $1,0001.3 TP / $1,000

Code Examples

Python

import requests

BASE_URL = "https://api.primit.io/api/v1"
JWT_TOKEN = "your_jwt_token"

resp = requests.get(
f"{BASE_URL}/points/tier",
headers={"Authorization": f"Bearer {JWT_TOKEN}"},
)
data = resp.json()

print(f"Tier: {data['tier']}{data['multiplier']}), Volume: {data['current_volume']}")
if data["next_tier"]:
print(f"Next: {data['next_tier']['tier']}, need {data['next_tier']['remaining_volume']} more")